org.apache.pdfbox.pdmodel.interactive.annotation.layout

## Class PlainText

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.layout.PlainText

    public class PlainText
    extends Object

A block of text.

A block of text can contain multiple paragraphs which will be treated individually within the block placement.

### Constructor Summary

Constructors
Constructor and Description
`PlainText(List<String> listValue)` Construct the text block from a list of values.
`PlainText(String textValue)` Construct the text block from a single value.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlainText

    public PlainText(String textValue)

Construct the text block from a single value. Constructs the text block from a single value splitting into individual `Paragraph` when a new line character is encountered.

Parameters:
  `textValue` - the text block string.

#### PlainText

    public PlainText(List<String> listValue)

Construct the text block from a list of values. Constructs the text block from a list of values treating each entry as an individual `Paragraph`.

Parameters:
  `listValue` - the text block string.